# CvBlobTrackPostProc Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackPostProc:

List of all members.

## Public Member Functions

virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackPostProc ()
virtual CvBlob * | GetBlob (int index)=0
virtual CvBlob * | GetBlobByID (int BlobID)
virtual int | GetBlobNum ()=0
virtual void | Process ()=0
virtual void | Release ()=0

## Constructor & Destructor Documentation

CvBlobTrackPostProc::CvBlobTrackPostProc | ( | ) | `[inline]`

## Member Function Documentation

virtual void CvBlobTrackPostProc::AddBlob | ( | CvBlob * | pBlob ) | `[pure virtual]`

virtual CvBlob* CvBlobTrackPostProc::GetBlob | ( | int | index ) | `[pure virtual]`

virtual CvBlob* CvBlobTrackPostProc::GetBlobByID | ( | int | BlobID ) | `[inline, virtual]`

virtual int CvBlobTrackPostProc::GetBlobNum | ( | ) | `[pure virtual]`

virtual void CvBlobTrackPostProc::Process | ( | ) | `[pure virtual]`

virtual void CvBlobTrackPostProc::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines